Package be.vlaanderen.mercurius.wzcmh.common.v3

# Class DetailType

java.lang.Object
be.vlaanderen.mercurius.wzcmh.common.v3.DetailType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class DetailType extends Object implements Serializable
Detail KATZ-inschaling

Java class for DetailType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ToWashValue" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}ToWashValueType"/>
             <element name="ToClothValue" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}ToClothValueType"/>
             <element name="ToMoveValue" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}ToMoveValueType"/>
             <element name="ToVisitToiletValue" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}ToVisitToiletValueType"/>
             <element name="ContinenceValue" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}ContinenceValueType"/>
             <element name="ToEatValue" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}ToEatValueType"/>
             <element name="TimeValue" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}TimeValueType" minOccurs="0"/>
             <element name="SpaceValue" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}SpaceValueType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DetailType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContinenceValueType`
  `getContinenceValue()`
  Inschaling voor het criterium "continentie"
  `SpaceValueType`
  `getSpaceValue()`
  Inschaling voor het criterium "plaats"
  `TimeValueType`
  `getTimeValue()`
  Inschaling voor het criterium "tijd"
  `ToClothValueType`
  `getToClothValue()`
  Inschaling voor het criterium "zich kleden"
  `ToEatValueType`
  `getToEatValue()`
  Inschaling voor het criterium "eten"
  `ToMoveValueType`
  `getToMoveValue()`
  Inschaling voor het criterium "transfer en verplaatsingen"
  `ToVisitToiletValueType`
  `getToVisitToiletValue()`
  Inschaling voor het criterium "toiletbezoek"
  `ToWashValueType`
  `getToWashValue()`
  Inschaling voor het criterium "zich wassen"
  `void`
  `setContinenceValue(ContinenceValueType value)`
  Sets the value of the continenceValue property.
  `void`
  `setSpaceValue(SpaceValueType value)`
  Sets the value of the spaceValue property.
  `void`
  `setTimeValue(TimeValueType value)`
  Sets the value of the timeValue property.
  `void`
  `setToClothValue(ToClothValueType value)`
  Sets the value of the toClothValue property.
  `void`
  `setToEatValue(ToEatValueType value)`
  Sets the value of the toEatValue property.
  `void`
  `setToMoveValue(ToMoveValueType value)`
  Sets the value of the toMoveValue property.
  `void`
  `setToVisitToiletValue(ToVisitToiletValueType value)`
  Sets the value of the toVisitToiletValue property.
  `void`
  `setToWashValue(ToWashValueType value)`
  Sets the value of the toWashValue property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DetailType

    public DetailType()

- ## Method Details

  - ### getToWashValue

    public ToWashValueType getToWashValue()
    Inschaling voor het criterium "zich wassen"
    Returns:
      possible object is `ToWashValueType`

  - ### setToWashValue

    public void setToWashValue(ToWashValueType value)
    Sets the value of the toWashValue property.
    Parameters:
      `value` - allowed object is `ToWashValueType`
    See Also:
      - `getToWashValue()`

  - ### getToClothValue

    public ToClothValueType getToClothValue()
    Inschaling voor het criterium "zich kleden"
    Returns:
      possible object is `ToClothValueType`

  - ### setToClothValue

    public void setToClothValue(ToClothValueType value)
    Sets the value of the toClothValue property.
    Parameters:
      `value` - allowed object is `ToClothValueType`
    See Also:
      - `getToClothValue()`

  - ### getToMoveValue

    public ToMoveValueType getToMoveValue()
    Inschaling voor het criterium "transfer en verplaatsingen"
    Returns:
      possible object is `ToMoveValueType`

  - ### setToMoveValue

    public void setToMoveValue(ToMoveValueType value)
    Sets the value of the toMoveValue property.
    Parameters:
      `value` - allowed object is `ToMoveValueType`
    See Also:
      - `getToMoveValue()`

  - ### getToVisitToiletValue

    public ToVisitToiletValueType getToVisitToiletValue()
    Inschaling voor het criterium "toiletbezoek"
    Returns:
      possible object is `ToVisitToiletValueType`

  - ### setToVisitToiletValue

    public void setToVisitToiletValue(ToVisitToiletValueType value)
    Sets the value of the toVisitToiletValue property.
    Parameters:
      `value` - allowed object is `ToVisitToiletValueType`
    See Also:
      - `getToVisitToiletValue()`

  - ### getContinenceValue

    public ContinenceValueType getContinenceValue()
    Inschaling voor het criterium "continentie"
    Returns:
      possible object is `ContinenceValueType`

  - ### setContinenceValue

    public void setContinenceValue(ContinenceValueType value)
    Sets the value of the continenceValue property.
    Parameters:
      `value` - allowed object is `ContinenceValueType`
    See Also:
      - `getContinenceValue()`

  - ### getToEatValue

    public ToEatValueType getToEatValue()
    Inschaling voor het criterium "eten"
    Returns:
      possible object is `ToEatValueType`

  - ### setToEatValue

    public void setToEatValue(ToEatValueType value)
    Sets the value of the toEatValue property.
    Parameters:
      `value` - allowed object is `ToEatValueType`
    See Also:
      - `getToEatValue()`

  - ### getTimeValue

    public TimeValueType getTimeValue()
    Inschaling voor het criterium "tijd"
    Returns:
      possible object is `TimeValueType`

  - ### setTimeValue

    public void setTimeValue(TimeValueType value)
    Sets the value of the timeValue property.
    Parameters:
      `value` - allowed object is `TimeValueType`
    See Also:
      - `getTimeValue()`

  - ### getSpaceValue

    public SpaceValueType getSpaceValue()
    Inschaling voor het criterium "plaats"
    Returns:
      possible object is `SpaceValueType`

  - ### setSpaceValue

    public void setSpaceValue(SpaceValueType value)
    Sets the value of the spaceValue property.
    Parameters:
      `value` - allowed object is `SpaceValueType`
    See Also:
      - `getSpaceValue()`